package demo;

import static spark.Spark.*;


public class App {

    public static void main(String[] args) {
        new App().run();
    }

    void run() {
        var db = new Database();
        db.openConnection("colleges.sqlite");
        port(4567);
        get("/hello", (req, res) -> "hello, world!");
        get("/students", (req, res) -> db.getStudents(req, res));
        get("/students/:sId",
            (req, res) -> db.getStudent(req, res, Integer.parseInt(req.params(":sId"))));
        post("/students", (req, res) -> db.postStudent(req, res));
        get("/students/:sId/applications",
            (req, res) -> db.getStudentApplications(req, res, Integer.parseInt(req.params(":sId"))));
    }
}
